#include "ShockTherapy.h"
#include "ShockSurvivorInfo.h"
#include "UObject/NoExportTypes.h"

void UShockTherapy::OnLevelReadyToPlay()
{

}

void UShockTherapy::Multicast_DetonateShockTherapy_Implementation(const TArray<FShockSurvivorInfo>& shockedSurvivors, float madnessToAdd)
{

}

void UShockTherapy::Multicast_ActivateShockTherapyAOE_Implementation(const FTransform& shockTherapyZoneTransform)
{

}

UShockTherapy::UShockTherapy()
{
	this->_shockTherapyConeAOEClass = NULL;
	this->_shockTherapyLineAOEClass = NULL;
	this->_shockTherapyCircleAOEClass = NULL;
	this->_shockTherapyBlockAllInteractionsEffectClass = NULL;
}
